Changeset 392


Ignore:
Timestamp:
Jun 29, 2006 2:25:11 PM (14 years ago)
Author:
andreasw
Message:

added --disable-libname-libcheck to skip link test for user library during configuration

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/Cbc/configure

    r391 r392  
    430430PACKAGE_NAME='Cbc'
    431431PACKAGE_TARNAME='cbc'
    432 PACKAGE_VERSION='1.01.00'
    433 PACKAGE_STRING='Cbc 1.01.00'
     432PACKAGE_VERSION='0.1'
     433PACKAGE_STRING='Cbc 0.1'
    434434PACKAGE_BUGREPORT='coin-cbc@list.coin-or.org'
    435435
     
    10711071                          optimize for fast installation [default=yes]
    10721072  --disable-libtool-lock  avoid locking (might break parallel builds)
     1073  --enable-cplex-libcheck use disable-cplex-libcheck to skip the
     1074                          link check at configuration time
     1075  --enable-glpk-libcheck use disable-glpk-libcheck to skip the
     1076                          link check at configuration time
     1077  --enable-fortmp-libcheck
     1078                          use disable-fortmp-libcheck to skip the
     1079                          link check at configuration time
     1080  --enable-mosek-libcheck use disable-mosek-libcheck to skip the
     1081                          link check at configuration time
     1082  --enable-osl-libcheck use disable-osl-libcheck to skip the link
     1083                          check at configuration time
     1084  --enable-soplex-libcheck
     1085                          use disable-soplex-libcheck to skip the
     1086                          link check at configuration time
     1087  --enable-xpress-libcheck
     1088                          use disable-xpress-libcheck to skip the
     1089                          link check at configuration time
    10731090
    10741091Optional Packages:
     
    46604677*-*-irix6*)
    46614678  # Find out which ABI we are using.
    4662   echo '#line 4662 "configure"' > conftest.$ac_ext
     4679  echo '#line 4679 "configure"' > conftest.$ac_ext
    46634680  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    46644681  (eval $ac_compile) 2>&5
     
    57945811
    57955812# Provide some information about the compiler.
    5796 echo "$as_me:5796:" \
     5813echo "$as_me:5813:" \
    57975814     "checking for Fortran 77 compiler version" >&5
    57985815ac_compiler=`set X $ac_compile; echo $2`
     
    68616878   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    68626879   -e 's:$: $lt_compiler_flag:'`
    6863    (eval echo "\"\$as_me:6863: $lt_compile\"" >&5)
     6880   (eval echo "\"\$as_me:6880: $lt_compile\"" >&5)
    68646881   (eval "$lt_compile" 2>conftest.err)
    68656882   ac_status=$?
    68666883   cat conftest.err >&5
    6867    echo "$as_me:6867: \$? = $ac_status" >&5
     6884   echo "$as_me:6884: \$? = $ac_status" >&5
    68686885   if (exit $ac_status) && test -s "$ac_outfile"; then
    68696886     # The compiler can only warn and ignore the option if not recognized
     
    71297146   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    71307147   -e 's:$: $lt_compiler_flag:'`
    7131    (eval echo "\"\$as_me:7131: $lt_compile\"" >&5)
     7148   (eval echo "\"\$as_me:7148: $lt_compile\"" >&5)
    71327149   (eval "$lt_compile" 2>conftest.err)
    71337150   ac_status=$?
    71347151   cat conftest.err >&5
    7135    echo "$as_me:7135: \$? = $ac_status" >&5
     7152   echo "$as_me:7152: \$? = $ac_status" >&5
    71367153   if (exit $ac_status) && test -s "$ac_outfile"; then
    71377154     # The compiler can only warn and ignore the option if not recognized
     
    72337250   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    72347251   -e 's:$: $lt_compiler_flag:'`
    7235    (eval echo "\"\$as_me:7235: $lt_compile\"" >&5)
     7252   (eval echo "\"\$as_me:7252: $lt_compile\"" >&5)
    72367253   (eval "$lt_compile" 2>out/conftest.err)
    72377254   ac_status=$?
    72387255   cat out/conftest.err >&5
    7239    echo "$as_me:7239: \$? = $ac_status" >&5
     7256   echo "$as_me:7256: \$? = $ac_status" >&5
    72407257   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    72417258   then
     
    95789595  lt_status=$lt_dlunknown
    95799596  cat > conftest.$ac_ext <<EOF
    9580 #line 9580 "configure"
     9597#line 9597 "configure"
    95819598#include "confdefs.h"
    95829599
     
    96789695  lt_status=$lt_dlunknown
    96799696  cat > conftest.$ac_ext <<EOF
    9680 #line 9680 "configure"
     9697#line 9697 "configure"
    96819698#include "confdefs.h"
    96829699
     
    1202212039   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1202312040   -e 's:$: $lt_compiler_flag:'`
    12024    (eval echo "\"\$as_me:12024: $lt_compile\"" >&5)
     12041   (eval echo "\"\$as_me:12041: $lt_compile\"" >&5)
    1202512042   (eval "$lt_compile" 2>conftest.err)
    1202612043   ac_status=$?
    1202712044   cat conftest.err >&5
    12028    echo "$as_me:12028: \$? = $ac_status" >&5
     12045   echo "$as_me:12045: \$? = $ac_status" >&5
    1202912046   if (exit $ac_status) && test -s "$ac_outfile"; then
    1203012047     # The compiler can only warn and ignore the option if not recognized
     
    1212612143   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1212712144   -e 's:$: $lt_compiler_flag:'`
    12128    (eval echo "\"\$as_me:12128: $lt_compile\"" >&5)
     12145   (eval echo "\"\$as_me:12145: $lt_compile\"" >&5)
    1212912146   (eval "$lt_compile" 2>out/conftest.err)
    1213012147   ac_status=$?
    1213112148   cat out/conftest.err >&5
    12132    echo "$as_me:12132: \$? = $ac_status" >&5
     12149   echo "$as_me:12149: \$? = $ac_status" >&5
    1213312150   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1213412151   then
     
    1369613713   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1369713714   -e 's:$: $lt_compiler_flag:'`
    13698    (eval echo "\"\$as_me:13698: $lt_compile\"" >&5)
     13715   (eval echo "\"\$as_me:13715: $lt_compile\"" >&5)
    1369913716   (eval "$lt_compile" 2>conftest.err)
    1370013717   ac_status=$?
    1370113718   cat conftest.err >&5
    13702    echo "$as_me:13702: \$? = $ac_status" >&5
     13719   echo "$as_me:13719: \$? = $ac_status" >&5
    1370313720   if (exit $ac_status) && test -s "$ac_outfile"; then
    1370413721     # The compiler can only warn and ignore the option if not recognized
     
    1380013817   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1380113818   -e 's:$: $lt_compiler_flag:'`
    13802    (eval echo "\"\$as_me:13802: $lt_compile\"" >&5)
     13819   (eval echo "\"\$as_me:13819: $lt_compile\"" >&5)
    1380313820   (eval "$lt_compile" 2>out/conftest.err)
    1380413821   ac_status=$?
    1380513822   cat out/conftest.err >&5
    13806    echo "$as_me:13806: \$? = $ac_status" >&5
     13823   echo "$as_me:13823: \$? = $ac_status" >&5
    1380713824   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1380813825   then
     
    1600716024   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1600816025   -e 's:$: $lt_compiler_flag:'`
    16009    (eval echo "\"\$as_me:16009: $lt_compile\"" >&5)
     16026   (eval echo "\"\$as_me:16026: $lt_compile\"" >&5)
    1601016027   (eval "$lt_compile" 2>conftest.err)
    1601116028   ac_status=$?
    1601216029   cat conftest.err >&5
    16013    echo "$as_me:16013: \$? = $ac_status" >&5
     16030   echo "$as_me:16030: \$? = $ac_status" >&5
    1601416031   if (exit $ac_status) && test -s "$ac_outfile"; then
    1601516032     # The compiler can only warn and ignore the option if not recognized
     
    1627516292   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1627616293   -e 's:$: $lt_compiler_flag:'`
    16277    (eval echo "\"\$as_me:16277: $lt_compile\"" >&5)
     16294   (eval echo "\"\$as_me:16294: $lt_compile\"" >&5)
    1627816295   (eval "$lt_compile" 2>conftest.err)
    1627916296   ac_status=$?
    1628016297   cat conftest.err >&5
    16281    echo "$as_me:16281: \$? = $ac_status" >&5
     16298   echo "$as_me:16298: \$? = $ac_status" >&5
    1628216299   if (exit $ac_status) && test -s "$ac_outfile"; then
    1628316300     # The compiler can only warn and ignore the option if not recognized
     
    1637916396   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1638016397   -e 's:$: $lt_compiler_flag:'`
    16381    (eval echo "\"\$as_me:16381: $lt_compile\"" >&5)
     16398   (eval echo "\"\$as_me:16398: $lt_compile\"" >&5)
    1638216399   (eval "$lt_compile" 2>out/conftest.err)
    1638316400   ac_status=$?
    1638416401   cat out/conftest.err >&5
    16385    echo "$as_me:16385: \$? = $ac_status" >&5
     16402   echo "$as_me:16402: \$? = $ac_status" >&5
    1638616403   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1638716404   then
     
    2045820475  CPXLIB=$withval
    2045920476fi;
     20477# Switch to disable library check if requested
     20478# Check whether --enable-cplex-libcheck or --disable-cplex-libcheck was given.
     20479if test "${enable_cplex_libcheck+set}" = set; then
     20480  enableval="$enable_cplex_libcheck"
     20481  cplex_libcheck=$enableval
     20482else
     20483  cplex_libcheck=yes
     20484fi;
    2046020485
    2046120486if test x"$CPXINCDIR" != x || test x"$CPXLIB" != x; then
     
    2050420529  # Check if the symbol is provided in the library
    2050520530  # ToDo: FOR NOW WE ASSUME THAT WE ARE USING THE C++ COMPILER
    20506   coin_save_LIBS="$LIBS"
    20507                   LIBS="$CPXLIB $ADDLIBS"
    20508                   echo "$as_me:$LINENO: checking whether symbol CPXgetstat is available with CPX" >&5
     20531  if test x"$cplex_libcheck" != xno; then
     20532                    coin_save_LIBS="$LIBS"
     20533                    LIBS="$CPXLIB $ADDLIBS"
     20534                    echo "$as_me:$LINENO: checking whether symbol CPXgetstat is available with CPX" >&5
    2050920535echo $ECHO_N "checking whether symbol CPXgetstat is available with CPX... $ECHO_C" >&6
    2051020536# ToDo find out what to do about extern "C"
    20511 #                  AC_TRY_LINK([extern "C" {void CPXgetstat();}],[CPXgetstat()],
    20512                   cat >conftest.$ac_ext <<_ACEOF
     20537#                    AC_TRY_LINK([extern "C" {void CPXgetstat();}],[CPXgetstat()],
     20538                    cat >conftest.$ac_ext <<_ACEOF
    2051320539/* confdefs.h.  */
    2051420540_ACEOF
     
    2055520581echo "$as_me:$LINENO: result: no" >&5
    2055620582echo "${ECHO_T}no" >&6
    20557                                { { echo "$as_me:$LINENO: error: Cannot find symbol CPXgetstat with CPX" >&5
     20583                                 { { echo "$as_me:$LINENO: error: Cannot find symbol CPXgetstat with CPX" >&5
    2055820584echo "$as_me: error: Cannot find symbol CPXgetstat with CPX" >&2;}
    2055920585   { (exit 1); exit 1; }; }
     
    2056120587rm -f conftest.err conftest.$ac_objext \
    2056220588      conftest$ac_exeext conftest.$ac_ext
    20563                   LIBS="$coin_save_LIBS"
     20589                    LIBS="$coin_save_LIBS"
     20590                  fi
    2056420591
    2056520592  ADDLIBS="$CPXLIB $ADDLIBS"
     
    2060420631  withval="$with_glpk_lib"
    2060520632  GLPKLIB=$withval
     20633fi;
     20634# Switch to disable library check if requested
     20635# Check whether --enable-glpk-libcheck or --disable-glpk-libcheck was given.
     20636if test "${enable_glpk_libcheck+set}" = set; then
     20637  enableval="$enable_glpk_libcheck"
     20638  glpk_libcheck=$enableval
     20639else
     20640  glpk_libcheck=yes
    2060620641fi;
    2060720642
     
    2065120686  # Check if the symbol is provided in the library
    2065220687  # ToDo: FOR NOW WE ASSUME THAT WE ARE USING THE C++ COMPILER
    20653   coin_save_LIBS="$LIBS"
    20654                   LIBS="$GLPKLIB $ADDLIBS"
    20655                   echo "$as_me:$LINENO: checking whether symbol glp_lpx_simplex is available with GLPK" >&5
     20688  if test x"$glpk_libcheck" != xno; then
     20689                    coin_save_LIBS="$LIBS"
     20690                    LIBS="$GLPKLIB $ADDLIBS"
     20691                    echo "$as_me:$LINENO: checking whether symbol glp_lpx_simplex is available with GLPK" >&5
    2065620692echo $ECHO_N "checking whether symbol glp_lpx_simplex is available with GLPK... $ECHO_C" >&6
    2065720693# ToDo find out what to do about extern "C"
    20658 #                  AC_TRY_LINK([extern "C" {void glp_lpx_simplex();}],[glp_lpx_simplex()],
    20659                   cat >conftest.$ac_ext <<_ACEOF
     20694#                    AC_TRY_LINK([extern "C" {void glp_lpx_simplex();}],[glp_lpx_simplex()],
     20695                    cat >conftest.$ac_ext <<_ACEOF
    2066020696/* confdefs.h.  */
    2066120697_ACEOF
     
    2070220738echo "$as_me:$LINENO: result: no" >&5
    2070320739echo "${ECHO_T}no" >&6
    20704                                { { echo "$as_me:$LINENO: error: Cannot find symbol glp_lpx_simplex with GLPK" >&5
     20740                                 { { echo "$as_me:$LINENO: error: Cannot find symbol glp_lpx_simplex with GLPK" >&5
    2070520741echo "$as_me: error: Cannot find symbol glp_lpx_simplex with GLPK" >&2;}
    2070620742   { (exit 1); exit 1; }; }
     
    2070820744rm -f conftest.err conftest.$ac_objext \
    2070920745      conftest$ac_exeext conftest.$ac_ext
    20710                   LIBS="$coin_save_LIBS"
     20746                    LIBS="$coin_save_LIBS"
     20747                  fi
    2071120748
    2071220749  ADDLIBS="$GLPKLIB $ADDLIBS"
     
    2075120788  withval="$with_fortmp_lib"
    2075220789  FMPLIB=$withval
     20790fi;
     20791# Switch to disable library check if requested
     20792# Check whether --enable-fortmp-libcheck or --disable-fortmp-libcheck was given.
     20793if test "${enable_fortmp_libcheck+set}" = set; then
     20794  enableval="$enable_fortmp_libcheck"
     20795  fortmp_libcheck=$enableval
     20796else
     20797  fortmp_libcheck=yes
    2075320798fi;
    2075420799
     
    2081420859  withval="$with_mosek_lib"
    2081520860  MSKLIB=$withval
     20861fi;
     20862# Switch to disable library check if requested
     20863# Check whether --enable-mosek-libcheck or --disable-mosek-libcheck was given.
     20864if test "${enable_mosek_libcheck+set}" = set; then
     20865  enableval="$enable_mosek_libcheck"
     20866  mosek_libcheck=$enableval
     20867else
     20868  mosek_libcheck=yes
    2081620869fi;
    2081720870
     
    2086120914  # Check if the symbol is provided in the library
    2086220915  # ToDo: FOR NOW WE ASSUME THAT WE ARE USING THE C++ COMPILER
    20863   coin_save_LIBS="$LIBS"
    20864                   LIBS="$MSKLIB $ADDLIBS"
    20865                   echo "$as_me:$LINENO: checking whether symbol MSK_openmosek is available with MSK" >&5
     20916  if test x"$mosek_libcheck" != xno; then
     20917                    coin_save_LIBS="$LIBS"
     20918                    LIBS="$MSKLIB $ADDLIBS"
     20919                    echo "$as_me:$LINENO: checking whether symbol MSK_openmosek is available with MSK" >&5
    2086620920echo $ECHO_N "checking whether symbol MSK_openmosek is available with MSK... $ECHO_C" >&6
    2086720921# ToDo find out what to do about extern "C"
    20868 #                  AC_TRY_LINK([extern "C" {void MSK_openmosek();}],[MSK_openmosek()],
    20869                   cat >conftest.$ac_ext <<_ACEOF
     20922#                    AC_TRY_LINK([extern "C" {void MSK_openmosek();}],[MSK_openmosek()],
     20923                    cat >conftest.$ac_ext <<_ACEOF
    2087020924/* confdefs.h.  */
    2087120925_ACEOF
     
    2091220966echo "$as_me:$LINENO: result: no" >&5
    2091320967echo "${ECHO_T}no" >&6
    20914                                { { echo "$as_me:$LINENO: error: Cannot find symbol MSK_openmosek with MSK" >&5
     20968                                 { { echo "$as_me:$LINENO: error: Cannot find symbol MSK_openmosek with MSK" >&5
    2091520969echo "$as_me: error: Cannot find symbol MSK_openmosek with MSK" >&2;}
    2091620970   { (exit 1); exit 1; }; }
     
    2091820972rm -f conftest.err conftest.$ac_objext \
    2091920973      conftest$ac_exeext conftest.$ac_ext
    20920                   LIBS="$coin_save_LIBS"
     20974                    LIBS="$coin_save_LIBS"
     20975                  fi
    2092120976
    2092220977  ADDLIBS="$MSKLIB $ADDLIBS"
     
    2096121016  withval="$with_osl_lib"
    2096221017  OSLLIB=$withval
     21018fi;
     21019# Switch to disable library check if requested
     21020# Check whether --enable-osl-libcheck or --disable-osl-libcheck was given.
     21021if test "${enable_osl_libcheck+set}" = set; then
     21022  enableval="$enable_osl_libcheck"
     21023  osl_libcheck=$enableval
     21024else
     21025  osl_libcheck=yes
    2096321026fi;
    2096421027
     
    2100821071  # Check if the symbol is provided in the library
    2100921072  # ToDo: FOR NOW WE ASSUME THAT WE ARE USING THE C++ COMPILER
    21010   coin_save_LIBS="$LIBS"
    21011                   LIBS="$OSLLIB $ADDLIBS"
    21012                   echo "$as_me:$LINENO: checking whether symbol ekk_simplex is available with OSL" >&5
     21073  if test x"$osl_libcheck" != xno; then
     21074                    coin_save_LIBS="$LIBS"
     21075                    LIBS="$OSLLIB $ADDLIBS"
     21076                    echo "$as_me:$LINENO: checking whether symbol ekk_simplex is available with OSL" >&5
    2101321077echo $ECHO_N "checking whether symbol ekk_simplex is available with OSL... $ECHO_C" >&6
    2101421078# ToDo find out what to do about extern "C"
    21015 #                  AC_TRY_LINK([extern "C" {void ekk_simplex();}],[ekk_simplex()],
    21016                   cat >conftest.$ac_ext <<_ACEOF
     21079#                    AC_TRY_LINK([extern "C" {void ekk_simplex();}],[ekk_simplex()],
     21080                    cat >conftest.$ac_ext <<_ACEOF
    2101721081/* confdefs.h.  */
    2101821082_ACEOF
     
    2105921123echo "$as_me:$LINENO: result: no" >&5
    2106021124echo "${ECHO_T}no" >&6
    21061                                { { echo "$as_me:$LINENO: error: Cannot find symbol ekk_simplex with OSL" >&5
     21125                                 { { echo "$as_me:$LINENO: error: Cannot find symbol ekk_simplex with OSL" >&5
    2106221126echo "$as_me: error: Cannot find symbol ekk_simplex with OSL" >&2;}
    2106321127   { (exit 1); exit 1; }; }
     
    2106521129rm -f conftest.err conftest.$ac_objext \
    2106621130      conftest$ac_exeext conftest.$ac_ext
    21067                   LIBS="$coin_save_LIBS"
     21131                    LIBS="$coin_save_LIBS"
     21132                  fi
    2106821133
    2106921134  ADDLIBS="$OSLLIB $ADDLIBS"
     
    2110821173  withval="$with_soplex_lib"
    2110921174  SPXLIB=$withval
     21175fi;
     21176# Switch to disable library check if requested
     21177# Check whether --enable-soplex-libcheck or --disable-soplex-libcheck was given.
     21178if test "${enable_soplex_libcheck+set}" = set; then
     21179  enableval="$enable_soplex_libcheck"
     21180  soplex_libcheck=$enableval
     21181else
     21182  soplex_libcheck=yes
    2111021183fi;
    2111121184
     
    2119821271  XPRLIB=$withval
    2119921272fi;
     21273# Switch to disable library check if requested
     21274# Check whether --enable-xpress-libcheck or --disable-xpress-libcheck was given.
     21275if test "${enable_xpress_libcheck+set}" = set; then
     21276  enableval="$enable_xpress_libcheck"
     21277  xpress_libcheck=$enableval
     21278else
     21279  xpress_libcheck=yes
     21280fi;
    2120021281
    2120121282if test x"$XPRINCDIR" != x || test x"$XPRLIB" != x; then
     
    2124421325  # Check if the symbol is provided in the library
    2124521326  # ToDo: FOR NOW WE ASSUME THAT WE ARE USING THE C++ COMPILER
    21246   coin_save_LIBS="$LIBS"
    21247                   LIBS="$XPRLIB $ADDLIBS"
    21248                   echo "$as_me:$LINENO: checking whether symbol XPRSsetintcontrol is available with XPR" >&5
     21327  if test x"$xpress_libcheck" != xno; then
     21328                    coin_save_LIBS="$LIBS"
     21329                    LIBS="$XPRLIB $ADDLIBS"
     21330                    echo "$as_me:$LINENO: checking whether symbol XPRSsetintcontrol is available with XPR" >&5
    2124921331echo $ECHO_N "checking whether symbol XPRSsetintcontrol is available with XPR... $ECHO_C" >&6
    2125021332# ToDo find out what to do about extern "C"
    21251 #                  AC_TRY_LINK([extern "C" {void XPRSsetintcontrol();}],[XPRSsetintcontrol()],
    21252                   cat >conftest.$ac_ext <<_ACEOF
     21333#                    AC_TRY_LINK([extern "C" {void XPRSsetintcontrol();}],[XPRSsetintcontrol()],
     21334                    cat >conftest.$ac_ext <<_ACEOF
    2125321335/* confdefs.h.  */
    2125421336_ACEOF
     
    2129521377echo "$as_me:$LINENO: result: no" >&5
    2129621378echo "${ECHO_T}no" >&6
    21297                                { { echo "$as_me:$LINENO: error: Cannot find symbol XPRSsetintcontrol with XPR" >&5
     21379                                 { { echo "$as_me:$LINENO: error: Cannot find symbol XPRSsetintcontrol with XPR" >&5
    2129821380echo "$as_me: error: Cannot find symbol XPRSsetintcontrol with XPR" >&2;}
    2129921381   { (exit 1); exit 1; }; }
     
    2130121383rm -f conftest.err conftest.$ac_objext \
    2130221384      conftest$ac_exeext conftest.$ac_ext
    21303                   LIBS="$coin_save_LIBS"
     21385                    LIBS="$coin_save_LIBS"
     21386                  fi
    2130421387
    2130521388  ADDLIBS="$XPRLIB $ADDLIBS"
Note: See TracChangeset for help on using the changeset viewer.